;
; This file provides a few initializations for GUILE compatibility
;

(define load foo$$load)
(define add-load-path foo$$add-load-path)
(define require foo$$require)
(define provide foo$$provide)

(define sys$$exit exit)
(define sys$$getenv getenv)
(define sys$$system system)
(define sys$$file-exists? file-exists?)

(define sys$$eval eval)
(define sys$$reset error)
(define sys$$error error)

(define values foo$$values)
(define call-with-values foo$$call-with-values)

(define format foo$$format)

(define-macro (define-macro% . x) `(define-macro . ,x))

; debugging for guile:
(define (debug-on)
  (debug-enable 'backtrace))
